Update Business Profile Photo

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionConstraints
Headers
apikeyApikey of the account where the app is to be createdShould be a valid gupshup.io apikey
Path Params
appIdValid app id
Form Params
imageProfile photo image fileMax allowed size : 5242880 bytes

Status Codes

Status CodeResponseComments
Success
200
{
  "message": "profile photo deleted successfully",
  "status": "success"
}
Error
400
{
  "message": "Please select a profile picture before uploading",
  "status": "error"
}
When photo is not provided in request
400
{
  "error": {
    "message": "App Not Live"
  },
  "status": "error"
}
When app is not live
400
{
  "error": {
    "message": "Uploaded Photo Size Exceeded, Current Image Size is \\<image_size> but max allowed is \\<max_image_size_allowed>"
  },
  "status": "error"
}
When photo size exceeds max allowed size
400
{
  "status": "error",
  "error": {
    "message": "<Facebook error response>"
  }
}
When Facebook returns an error while setting business profile details
401
{
  "status": "error",
  "message": "Authentication Failed"
}
When API key is unauthorized
429
{
  "status": "error",
  "message": "Too Many Requests"
}
When the rate limit is exceeded
500
{
  "status": "error",
  "message": "Internal server error. Please try again later."
}
When internal server error while processing
Path Params
string
required

Unique identifier for an app

Body Params
file

Image file to upload

Headers
string
required

Your account API key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json